// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package folio

import (
	"github.com/stretchr/testify/assert"
	"testing"
	"fmt"
)

func TestURI(t *testing.T) {
	var file URI = URI(fmt.Sprintf("file://%s", TempDir))
	u := file.Parse()
	assert.Equal(t, "file", u.Scheme)
	assert.True(t, file.Exists())
}
